Retrieve a Participant
GET/agreements/:agreement_id/participants/:participant_id
Retrieves a participant of the Agreement.
Request
Path Parameters
GET /agreements/:agreement_id/participants/:participant_id parameter
GET /agreements/:agreement_id/participants/:participant_id parameter
Responses
- 200
- 400
GET /agreements/:agreement_id/participants/:participant_id Successful response
- application/json
- Schema
- Example (from schema)
Schema
- MOD1
- MOD2
- MOD1
- MOD2
- MOD1
- MOD2
- MOD1
- 118cb3b11b8a1f3b6b1e60a89f96a8be9da32a0f
- MOD3
- MOD1
- MOD3
- Array [
- ]
Possible values: [1.0]
The version of the response schema
Possible values: [single]
A single object of the participant resource.
Possible values: [participant]
Data contains the participant resource.
data object
The participant resource
Possible values: [approver]
The role of the participant
UTC datetime ISO string
Possible values: [signer]
The role of the participant
UTC datetime ISO string
signature object nullable required
The signature data for the participant
The unique identifier of the signature data
UTC datetime ISO string
UTC datetime ISO string
identity_enforcement object required
Possible values: [true]
If true, identity enforcement is enabled for the participant
Possible values: [pending, passed, failed]
The status of the identity enforcement
Possible values: [swe_pno_crosscheck]
The enforcement method for the identity. Depending on which method is used, different signature method are available
Possible values: [false]
If true, identity enforcement is enabled for the participant
The unique identifier of the participant
Possible values: [participant]
The name of the participant. Required if no email is provided.
The email of the participant. Required if agreemnt is configured to send emails.
Possible values: [draft, pending, initiated, processing, fulfilled, rejected]
The status of the participant
Possible values: <= 1.7976931348623157e+308
The queue number of the participant (if sequential signing order is enabled)
signing_group object required
string
Possible values: [1.0]
The version of the response schema
Possible values: [single]
A single object of the signing_group resource.
Possible values: [signing_group]
Data contains the signing_group resource.
data objectrequired
The resource data.
The unique identifier of the signing group
Possible values: [signing_group]
The name of the signing group
Possible values: [draft, pending, fulfilled]
The status of the signing group
Possible values: >= 5e-324 and <= 1.7976931348623157e+308
The queue number of the signing group
participants object required
string
string
The unique identifier of the agreement this signing group belongs to
UTC datetime ISO string
UTC datetime ISO string
string
The unique identifier for the agreement this participant belongs to
The URL to the signing room for the participant. Only available after the agreement has been finalized for signing.
signing_room_link objectnullable
The current Signing Room Link for the participant. Null before the agreement is finalized, or when no current link exists.
Possible values: [1.0]
The version of the response schema
Possible values: [single]
A single object of the signing_room_link resource.
Possible values: [signing_room_link]
Data contains the signing_room_link resource.
data objectrequired
The resource data.
The unique identifier of the Signing Room Link
Possible values: [signing_room_link]
The unique identifier of the agreement the link opens
The full signing room URL. It is a bearer credential: anyone with it can open the signing room for this participant.
Possible values: [active, expired, revoked]
Whether the link still grants access to the signing room. An expired link can be rotated; a revoked link cannot.
When the link stops granting access to the signing room
UTC datetime ISO string
UTC datetime ISO string
Possible values: [sv-SE, en-US]
The locale for the participant. Can be overridden from the signing room, but this value serves as the default if nothing else is specified.
UTC datetime ISO string
UTC datetime ISO string
{
"version": "1.0",
"result_type": "single",
"resource_type": "participant",
"data": {
"role": "approver",
"decision_made_at": "2024-01-01T00:00:00.000Z"
}
}
GET /agreements/:agreement_id/participants/:participant_id Error response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
error objectrequired
Possible values: [input_validation_error, bad_request, authorization_error, forbidden_error, not_found_error, conflict_error, internal_server_error]
input_validation_error (400): the request input is invalid. bad_request (400): the request cannot be processed. authorization_error (401): the access token is missing or invalid. forbidden_error (403): the client is not allowed to perform the request. not_found_error (404): the resource does not exist. conflict_error (409): a concurrent change made the request invalid, e.g. the agreement stopped being editable while the request was processed. Re-fetch the resource before retrying. internal_server_error (500): an unexpected error occurred.
Possible values: >= 400 and <= 599
{
"status": "error",
"error": {
"type": "input_validation_error",
"code": 0,
"message": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}